<?php

/** 
 * view create/index
 * 
 * Params:
 * $createModelClass
 * $update_grid_id 
 * $parentPk - only given if there is a parent record
 * 
 */

if (@$createModelClass) {

  $id_view = $this->getViewId();
  $id_form = $id_view . '_form';
  $id_pickercontainer = $id_view . '_pickercontainer';

	$model = XcruderActiveRecord::getNewRecord($createModelClass);
	//echo '<pre>' . print_r($model,true) . '</pre>';
	//echo'<pre>';print_r( $model->tableSchema );echo'</pre>';
	
	//if parent record exists
	$parentModelClass = null;
	$parentPk = null;
	$parentRelations = null;
	
	if (@$modelClass) {
		$parentModelClass = $modelClass;
		$parentRelations = $parentModelClass::model()->relations();
	}
	
	if (@$modelPk) {
		$parentPk = CJSON::decode($modelPk, true);
	}

	//echo'<pre>';print_r( @$_display );echo'</pre>';
?>





<?php 
/*if (0)
$this->widget('xcruder.extensions.rowpicker.CRowPicker', array(
	'id' => 'aassdd',
	'pickerModelClass' => $createModelClass,
	//'onSelectRow' => 'function(val){alert(val)}'
  )
);
*/
?>


<table class="xpando-form-holder"><tbody><tr><td>

<div class="form">

<%= XcruderHtml::xpFormSuccess(@$success) %>
<%= XcruderHtml::xpFormError(@$error) %>  

<?php

$form = XcruderHtml::xpBeginForm(
	$this, 
	'create/create',
	$id_form,
	'create-form pickerupdateable',
	$update_grid_id
	//"xcruder.onbeforesend_create", 
	//"xcruder.onsuccess_create"
);

echo $form->errorSummary($model);
echo XcruderHtml::hiddenField("createModelClass", $createModelClass );

?>

<pre><% //echo Yii::app()->language;//print_r(Yii::app()->locale) %></pre>

<fieldset>
	<legend>new <%= $createModelClass %> <%= @$parentPk ? 'to parent ' . $parentModelClass . ' ' . $parentPk : '' %></legend>

<?php 
foreach($model->attributes as $colname=>$colvalue) {
	$dbColumn = $model->tableSchema->columns[$colname];
	//echo'<pre>';print_r( $dbColumn );echo'</pre>';
?>

	<div class="row">	
		
		<%= $form->labelEx($model, $colname) %> <span class="coltype"><%= $dbColumn->dbType %></span>
		
		<span class="fieldvalue">
			<%= $form->xpActiveField($model, $colname, $parentModelClass, $parentPk, $parentRelations) %>
		</span>

	</div>
	
	
<?php 
}//foreach
?>

	<div class="row">
		<%= XcruderHtml::xpSubmitButton($form) %>
		<%= XcruderHtml::xpResetButton($form) %>
		<%= XcruderHtml::xpCancelButton($form) %>
	</div>

</fieldset>

<?php XcruderHtml::xpEndForm($this); ?>

</div>

</td><td>

<div id="<%= $id_pickercontainer %>" class="pickercontainer"></div>

</td></tr></tbody></table>

<?php 

//print_r($parentRelations);

} else { ?>

no model class given

<?php } ?>
